/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package webcalcolatrice;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

import libcalcolatrice.CalcolatriceAdapter;

/**
 *
 * @author gdestri
 */
public class CalcolatriceServlet extends HttpServlet {
   
    // ATTRIBUTI
    CalcolatriceAdapter ca = new CalcolatriceAdapter();
    
    /** 
    * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
    * @param request servlet request
    * @param response servlet response
    */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        
        String op1String = "";
        String op2String = "";
        String resString = "";
        
        // recupera lo status dei bottoni: uno solo per volta e' non null   
        String btnSomma = request.getParameter("btnSomma");
        String btnSottrai = request.getParameter("btnSottrai");
        String btnMoltiplica = request.getParameter("btnMoltiplica");
        String btnDividi = request.getParameter("btnDividi");
        
        // recupera il valore degli operandi
        op1String = request.getParameter("txtOp1");
        op2String = request.getParameter("txtOp2");

        if ((op1String != null) && (op2String != null)) {
            if (btnSomma != null) {
                resString = ca.somma(op1String, op2String);
            } // end if 

            if (btnSottrai != null) {
                resString = ca.sottrai(op1String, op2String);
            } // end if 

            if (btnMoltiplica != null) {
                resString = ca.moltiplica(op1String, op2String);
            } // end if 

            if (btnDividi != null) {
                resString = ca.dividi(op1String, op2String);
            } // end if 

        } // end if
        
        // le aggancia all'oggetto request con identificatore "op1Param"...
        request.setAttribute("op1Param", op1String);
        request.setAttribute("op2Param", op2String);
        request.setAttribute("resParam", resString);
        
        // e passa il controllo alla pagina JSP della view
        request.getRequestDispatcher("calcolatriceView.jsp").forward(request, response);

        
    } // end method processRequest 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
    * Handles the HTTP <code>GET</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
    * Handles the HTTP <code>POST</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
    * Returns a short description of the servlet.
    */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
